name: libamxp

short_description: "Common patterns implementation"
long_description: ""

type: library
category: amx

urls:
  opensource: "https://gitlab.com/prpl-foundation/components/ambiorix/libraries/libamxp"

licenses:
- name: "BSD-2-Clause-Patent"

configs:
  CONFIG_SAH_LIB_AMXP:
    super: True
    default: y
    type: bool
    description: "Build libamxp"

makefiles:
  default: "makefile"
  compile:
    - directory: "src"
  clean:
    - directory: "src"
    - directory: "test"
  doc:
    - directory: "doc"
      target: "doc"
  test:
    - directory: "test"
      target: "run"
    - directory: "test"
      target: "coverage"

artifacts:
- source: "include/amxp/*.h"
  destination: "$(INCLUDEDIR)/amxp/"
  permissions: "0644"
- source: "output/$(MACHINE)/$(COMPONENT).a"
  destination: "$(LIBDIR)/$(COMPONENT).a"
  permissions: "0644"
- source: "output/$(MACHINE)/$(COMPONENT).so.$(VERSION)"
  destination: "$(LIBDIR)/$(COMPONENT).so.$(VERSION)"
  permissions: "0644"
  version: True

dependencies:
  compile:
  - name: "libamxc"
    min: "*"
  - name: "libcap-ng"
    min: "gen_v0.8.2_v0.3.0"
  runtime:
  - name: "libamxc"
  - name: "libcap-ng"
  native:
  - name: "bison"
  - name: "flex"
